How to run myTaxExpress/T2Express on the latest MacOS Catalina?

contact mytaxexpress
2019-11-12 17:27

If you could, please don't upgrade your Mac to latest Catalina.

Since Catalina removes support of 32-bit application completely, you have to install a prior version MacOS (as virtual machine) to install and run myTaxExpress/T2Express software for now (Nov. 2019).

Please read this external link as guide how to install Mojave as virtual machine; or downgrade Catalina to previous version.
[Guide 1], [Guide 2 (video)], [Guide 3 to downgrade MacOS], [Guide 4 (video)]

Tags: catalina, MacOS, virtual
Average rating: 0 (0 Votes)

You cannot comment on this entry